#!/usr/bin/perl

@threadnums = (1,2,4,8,16,32);
@loopnums = (1,100,1000,10000,100000,500000);
$base   = 10010;
$checks = 10000;
$ip="127.1";

foreach $threadnum (@threadnums)
{
    foreach $loopnum (@loopnums)
    {
        for($i=0;$i<($threadnum *2) -1;$i++)
        {
            print("./client $ip $base &\n");
            system("./client $ip $base &");
        }
	printf("./client $ip $base\n");
	system("./client $ip $base");
	sleep(5);
        $base++;
    }
}

